# -*- coding: utf-8 -*-

# Link-Layer Header Type Values
LINKTYPE = {
    0 : 'NULL',                                   # DLT_NULL
    1 : 'ETHERNET',                               # DLT_EN10MB
    3 : 'AX25',                                   # DLT_AX25
    6 : 'IEEE802_5',                              # DLT_IEEE802
    7 : 'ARCNET_BSD',                             # DLT_ARCNET
    8 : 'SLIP',                                   # DLT_SLIP
    9 : 'PPP',                                    # DLT_PPP
   10 : 'FDDI',                                   # DLT_FDDI
   50 : 'PPP_HDLC',                               # DLT_PPP_SERIAL
   51 : 'PPP_ETHER',                              # DLT_PPP_ETHER
  100 : 'ATM_RFC1483',                            # DLT_ATM_RFC1483
  101 : 'RAW',                                    # DLT_RAW
  104 : 'C_HDLC',                                 # DLT_C_HDLC
  105 : 'IEEE802_11',                             # DLT_IEEE802_11
  107 : 'FRELAY',                                 # DLT_FRELAY
  108 : 'LOOP',                                   # DLT_LOOP
  113 : 'LINUX_SLL',                              # DLT_LINUX_SLL
  114 : 'LTALK',                                  # DLT_LTALK
  117 : 'PFLOG',                                  # DLT_PFLOG
  119 : 'IEEE802_11_PRISM',                       # DLT_PRISM_HEADER
  122 : 'IP_OVER_FC',                             # DLT_IP_OVER_FC
  123 : 'SUNATM',                                 # DLT_SUNATM
  127 : 'IEEE802_11_RADIOTAP',                    # DLT_IEEE802_11_RADIO
  129 : 'ARCNET_LINUX',                           # DLT_ARCNET_LINUX
  138 : 'APPLE_IP_OVER_IEEE1394',                 # DLT_APPLE_IP_OVER_IEEE1394
  139 : 'MTP2_WITH_PHDR',                         # DLT_MTP2_WITH_PHDR
  140 : 'MTP2',                                   # DLT_MTP2
  141 : 'MTP3',                                   # DLT_MTP3
  142 : 'SCCP',                                   # DLT_SCCP
  143 : 'DOCSIS',                                 # DLT_DOCSIS
  144 : 'LINUX_IRDA',                             # DLT_LINUX_IRDA
  147 : 'USER0',                                  # DLT_USER0
  148 : 'USER1',                                  # DLT_USER1
  149 : 'USER2',                                  # DLT_USER2
  150 : 'USER3',                                  # DLT_USER3
  151 : 'USER4',                                  # DLT_USER4
  152 : 'USER5',                                  # DLT_USER5
  153 : 'USER6',                                  # DLT_USER6
  154 : 'USER7',                                  # DLT_USER7
  155 : 'USER8',                                  # DLT_USER8
  156 : 'USER9',                                  # DLT_USER9
  157 : 'USER10',                                 # DLT_USER10
  158 : 'USER11',                                 # DLT_USER11
  159 : 'USER12',                                 # DLT_USER12
  160 : 'USER13',                                 # DLT_USER13
  161 : 'USER14',                                 # DLT_USER14
  162 : 'USER15',                                 # DLT_USER15
  163 : 'IEEE802_11_AVS',                         # DLT_IEEE802_11_RADIO_AVS
  165 : 'BACNET_MS_TP',                           # DLT_BACNET_MS_TP
  166 : 'PPP_PPPD',                               # DLT_PPP_PPPD
  169 : 'GPRS_LLC',                               # DLT_GPRS_LLC
  170 : 'GPF_T',                                  # DLT_GPF_T
  171 : 'GPF_F',                                  # DLT_GPF_F
  177 : 'LINUX_LAPD',                             # DLT_LINUX_LAPD
  187 : 'BLUETOOTH_HCI_H4',                       # DLT_BLUETOOTH_HCI_H4
  189 : 'USB_LINUX',                              # DLT_USB_LINUX
  192 : 'PPI',                                    # DLT_PPI
  195 : 'IEEE802_15_4_WITHFCS',                   # DLT_IEEE802_15_4_WITHFCS
  196 : 'SITA',                                   # DLT_SITA
  197 : 'ERF',                                    # DLT_ERF
  201 : 'BLUETOOTH_HCI_H4_WITH_PHDR',             # DLT_BLUETOOTH_HCI_H4_WITH_PHDR
  202 : 'AX25_KISS',                              # DLT_AX25_KISS
  203 : 'LAPD',                                   # DLT_LAPD
  204 : 'PPP_WITH_DIR',                           # DLT_PPP_WITH_DIR
  205 : 'C_HDLC_WITH_DIR',                        # DLT_C_HDLC_WITH_DIR
  206 : 'FRELAY_WITH_DIR',                        # DLT_FRELAY_WITH_DIR
  209 : 'IPMB_LINUX',                             # DLT_IPMB_LINUX
  215 : 'IEEE802_15_4_NONASK_PHY',                # DLT_IEEE802_15_4_NONASK_PHY
  220 : 'USB_LINUX_MMAPPED',                      # DLT_USB_LINUX_MMAPPED
  224 : 'FC_2',                                   # DLT_FC_2
  225 : 'FC_2_WITH_FRAME_DELIMS',                 # DLT_FC_2_WITH_FRAME_DELIMS
  226 : 'IPNET',                                  # DLT_IPNET
  227 : 'CAN_SOCKETCAN',                          # DLT_CAN_SOCKETCAN
  228 : 'IPV4',                                   # DLT_IPV4
  229 : 'IPV6',                                   # DLT_IPV6
  230 : 'IEEE802_15_4_NOFCS',                     # DLT_IEEE802_15_4_NOFCS
  231 : 'DBUS',                                   # DLT_DBUS
  235 : 'DVB_CI',                                 # DLT_DVB_CI
  236 : 'MUX27010',                               # DLT_MUX27010
  237 : 'STANAG_5066_D_PDU',                      # DLT_STANAG_5066_D_PDU
  239 : 'NFLOG',                                  # DLT_NFLOG
  240 : 'NETANALYZER',                            # DLT_NETANALYZER
  241 : 'NETANALYZER_TRANSPARENT',                # DLT_NETANALYZER_TRANSPARENT
  242 : 'IPOIB',                                  # DLT_IPOIB
  243 : 'MPEG_2_TS',                              # DLT_MPEG_2_TS
  244 : 'NG40',                                   # DLT_NG40
  245 : 'NFC_LLCP',                               # DLT_NFC_LLCP
  247 : 'INFINIBAND',                             # DLT_INFINIBAND
  248 : 'SCTP',                                   # DLT_SCTP
  249 : 'USBPCAP',                                # DLT_USBPCAP
  250 : 'RTAC_SERIAL',                            # DLT_RTAC_SERIAL
  251 : 'BLUETOOTH_LE_LL',                        # DLT_BLUETOOTH_LE_LL
  253 : 'NETLINK',                                # DLT_NETLINK
  254 : 'BLUETOOTH_LINUX_MONITOR',                # DLT_BLUETOOTH_LINUX_MONITOR
  255 : 'BLUETOOTH_BREDR_BB',                     # DLT_BLUETOOTH_BREDR_BB
  256 : 'BLUETOOTH_LE_LL_WITH_PHDR',              # DLT_BLUETOOTH_LE_LL_WITH_PHDR
  257 : 'PROFIBUS_DL',                            # DLT_PROFIBUS_DL
  258 : 'PKTAP',                                  # DLT_PKTAP
  259 : 'EPON',                                   # DLT_EPON
  260 : 'IPMI_HPM_2',                             # DLT_IPMI_HPM_2
  261 : 'ZWAVE_R1_R2',                            # DLT_ZWAVE_R1_R2
  262 : 'ZWAVE_R3',                               # DLT_ZWAVE_R3
  263 : 'WATTSTOPPER_DLM',                        # DLT_WATTSTOPPER_DLM
  264 : 'ISO_14443',                              # DLT_ISO_14443
  265 : 'RDS',                                    # DLT_RDS
  266 : 'USB_DARWIN',                             # DLT_USB_DARWIN
  268 : 'SDLC',                                   # DLT_SDLC
  270 : 'LORATAP',                                # DLT_LORATAP
  271 : 'VSOCK',                                  # DLT_VSOCK
  272 : 'NORDIC_BLE',                             # DLT_NORDIC_BLE
  273 : 'DOCSIS31_XRA31',                         # DLT_DOCSIS31_XRA31
  274 : 'ETHERNET_MPACKET',                       # DLT_ETHERNET_MPACKET
  275 : 'DISPLAYPORT_AUX',                        # DLT_DISPLAYPORT_AUX
  276 : 'LINUX_SLL2',                             # DLT_LINUX_SLL2
}
