# -*- coding: utf-8 -*-

# OSPF Packet Types
OPER = {
    0 : 'Reserved',                               
    1 : 'Hello',                                  # [RFC 2328]
    2 : 'Database Description',                   # [RFC 2328]
    3 : 'Link State Request',                     # [RFC 2328]
    4 : 'Link State Update',                      # [RFC 2328]
    5 : 'Link State Ack',                         # [RFC 2328]
    6 : 'Unassigned (6)',                         
    7 : 'Unassigned (7)',                         
    8 : 'Unassigned (8)',                         
    9 : 'Unassigned (9)',                         
   10 : 'Unassigned (10)',                        
   11 : 'Unassigned (11)',                        
   12 : 'Unassigned (12)',                        
   13 : 'Unassigned (13)',                        
   14 : 'Unassigned (14)',                        
   15 : 'Unassigned (15)',                        
   16 : 'Unassigned (16)',                        
   17 : 'Unassigned (17)',                        
   18 : 'Unassigned (18)',                        
   19 : 'Unassigned (19)',                        
   20 : 'Unassigned (20)',                        
   21 : 'Unassigned (21)',                        
   22 : 'Unassigned (22)',                        
   23 : 'Unassigned (23)',                        
   24 : 'Unassigned (24)',                        
   25 : 'Unassigned (25)',                        
   26 : 'Unassigned (26)',                        
   27 : 'Unassigned (27)',                        
   28 : 'Unassigned (28)',                        
   29 : 'Unassigned (29)',                        
   30 : 'Unassigned (30)',                        
   31 : 'Unassigned (31)',                        
   32 : 'Unassigned (32)',                        
   33 : 'Unassigned (33)',                        
   34 : 'Unassigned (34)',                        
   35 : 'Unassigned (35)',                        
   36 : 'Unassigned (36)',                        
   37 : 'Unassigned (37)',                        
   38 : 'Unassigned (38)',                        
   39 : 'Unassigned (39)',                        
   40 : 'Unassigned (40)',                        
   41 : 'Unassigned (41)',                        
   42 : 'Unassigned (42)',                        
   43 : 'Unassigned (43)',                        
   44 : 'Unassigned (44)',                        
   45 : 'Unassigned (45)',                        
   46 : 'Unassigned (46)',                        
   47 : 'Unassigned (47)',                        
   48 : 'Unassigned (48)',                        
   49 : 'Unassigned (49)',                        
   50 : 'Unassigned (50)',                        
   51 : 'Unassigned (51)',                        
   52 : 'Unassigned (52)',                        
   53 : 'Unassigned (53)',                        
   54 : 'Unassigned (54)',                        
   55 : 'Unassigned (55)',                        
   56 : 'Unassigned (56)',                        
   57 : 'Unassigned (57)',                        
   58 : 'Unassigned (58)',                        
   59 : 'Unassigned (59)',                        
   60 : 'Unassigned (60)',                        
   61 : 'Unassigned (61)',                        
   62 : 'Unassigned (62)',                        
   63 : 'Unassigned (63)',                        
   64 : 'Unassigned (64)',                        
   65 : 'Unassigned (65)',                        
   66 : 'Unassigned (66)',                        
   67 : 'Unassigned (67)',                        
   68 : 'Unassigned (68)',                        
   69 : 'Unassigned (69)',                        
   70 : 'Unassigned (70)',                        
   71 : 'Unassigned (71)',                        
   72 : 'Unassigned (72)',                        
   73 : 'Unassigned (73)',                        
   74 : 'Unassigned (74)',                        
   75 : 'Unassigned (75)',                        
   76 : 'Unassigned (76)',                        
   77 : 'Unassigned (77)',                        
   78 : 'Unassigned (78)',                        
   79 : 'Unassigned (79)',                        
   80 : 'Unassigned (80)',                        
   81 : 'Unassigned (81)',                        
   82 : 'Unassigned (82)',                        
   83 : 'Unassigned (83)',                        
   84 : 'Unassigned (84)',                        
   85 : 'Unassigned (85)',                        
   86 : 'Unassigned (86)',                        
   87 : 'Unassigned (87)',                        
   88 : 'Unassigned (88)',                        
   89 : 'Unassigned (89)',                        
   90 : 'Unassigned (90)',                        
   91 : 'Unassigned (91)',                        
   92 : 'Unassigned (92)',                        
   93 : 'Unassigned (93)',                        
   94 : 'Unassigned (94)',                        
   95 : 'Unassigned (95)',                        
   96 : 'Unassigned (96)',                        
   97 : 'Unassigned (97)',                        
   98 : 'Unassigned (98)',                        
   99 : 'Unassigned (99)',                        
  100 : 'Unassigned (100)',                       
  101 : 'Unassigned (101)',                       
  102 : 'Unassigned (102)',                       
  103 : 'Unassigned (103)',                       
  104 : 'Unassigned (104)',                       
  105 : 'Unassigned (105)',                       
  106 : 'Unassigned (106)',                       
  107 : 'Unassigned (107)',                       
  108 : 'Unassigned (108)',                       
  109 : 'Unassigned (109)',                       
  110 : 'Unassigned (110)',                       
  111 : 'Unassigned (111)',                       
  112 : 'Unassigned (112)',                       
  113 : 'Unassigned (113)',                       
  114 : 'Unassigned (114)',                       
  115 : 'Unassigned (115)',                       
  116 : 'Unassigned (116)',                       
  117 : 'Unassigned (117)',                       
  118 : 'Unassigned (118)',                       
  119 : 'Unassigned (119)',                       
  120 : 'Unassigned (120)',                       
  121 : 'Unassigned (121)',                       
  122 : 'Unassigned (122)',                       
  123 : 'Unassigned (123)',                       
  124 : 'Unassigned (124)',                       
  125 : 'Unassigned (125)',                       
  126 : 'Unassigned (126)',                       
  127 : 'Unassigned (127)',                       
  128 : 'Reserved (128)',                         
  129 : 'Reserved (129)',                         
  130 : 'Reserved (130)',                         
  131 : 'Reserved (131)',                         
  132 : 'Reserved (132)',                         
  133 : 'Reserved (133)',                         
  134 : 'Reserved (134)',                         
  135 : 'Reserved (135)',                         
  136 : 'Reserved (136)',                         
  137 : 'Reserved (137)',                         
  138 : 'Reserved (138)',                         
  139 : 'Reserved (139)',                         
  140 : 'Reserved (140)',                         
  141 : 'Reserved (141)',                         
  142 : 'Reserved (142)',                         
  143 : 'Reserved (143)',                         
  144 : 'Reserved (144)',                         
  145 : 'Reserved (145)',                         
  146 : 'Reserved (146)',                         
  147 : 'Reserved (147)',                         
  148 : 'Reserved (148)',                         
  149 : 'Reserved (149)',                         
  150 : 'Reserved (150)',                         
  151 : 'Reserved (151)',                         
  152 : 'Reserved (152)',                         
  153 : 'Reserved (153)',                         
  154 : 'Reserved (154)',                         
  155 : 'Reserved (155)',                         
  156 : 'Reserved (156)',                         
  157 : 'Reserved (157)',                         
  158 : 'Reserved (158)',                         
  159 : 'Reserved (159)',                         
  160 : 'Reserved (160)',                         
  161 : 'Reserved (161)',                         
  162 : 'Reserved (162)',                         
  163 : 'Reserved (163)',                         
  164 : 'Reserved (164)',                         
  165 : 'Reserved (165)',                         
  166 : 'Reserved (166)',                         
  167 : 'Reserved (167)',                         
  168 : 'Reserved (168)',                         
  169 : 'Reserved (169)',                         
  170 : 'Reserved (170)',                         
  171 : 'Reserved (171)',                         
  172 : 'Reserved (172)',                         
  173 : 'Reserved (173)',                         
  174 : 'Reserved (174)',                         
  175 : 'Reserved (175)',                         
  176 : 'Reserved (176)',                         
  177 : 'Reserved (177)',                         
  178 : 'Reserved (178)',                         
  179 : 'Reserved (179)',                         
  180 : 'Reserved (180)',                         
  181 : 'Reserved (181)',                         
  182 : 'Reserved (182)',                         
  183 : 'Reserved (183)',                         
  184 : 'Reserved (184)',                         
  185 : 'Reserved (185)',                         
  186 : 'Reserved (186)',                         
  187 : 'Reserved (187)',                         
  188 : 'Reserved (188)',                         
  189 : 'Reserved (189)',                         
  190 : 'Reserved (190)',                         
  191 : 'Reserved (191)',                         
  192 : 'Reserved (192)',                         
  193 : 'Reserved (193)',                         
  194 : 'Reserved (194)',                         
  195 : 'Reserved (195)',                         
  196 : 'Reserved (196)',                         
  197 : 'Reserved (197)',                         
  198 : 'Reserved (198)',                         
  199 : 'Reserved (199)',                         
  200 : 'Reserved (200)',                         
  201 : 'Reserved (201)',                         
  202 : 'Reserved (202)',                         
  203 : 'Reserved (203)',                         
  204 : 'Reserved (204)',                         
  205 : 'Reserved (205)',                         
  206 : 'Reserved (206)',                         
  207 : 'Reserved (207)',                         
  208 : 'Reserved (208)',                         
  209 : 'Reserved (209)',                         
  210 : 'Reserved (210)',                         
  211 : 'Reserved (211)',                         
  212 : 'Reserved (212)',                         
  213 : 'Reserved (213)',                         
  214 : 'Reserved (214)',                         
  215 : 'Reserved (215)',                         
  216 : 'Reserved (216)',                         
  217 : 'Reserved (217)',                         
  218 : 'Reserved (218)',                         
  219 : 'Reserved (219)',                         
  220 : 'Reserved (220)',                         
  221 : 'Reserved (221)',                         
  222 : 'Reserved (222)',                         
  223 : 'Reserved (223)',                         
  224 : 'Reserved (224)',                         
  225 : 'Reserved (225)',                         
  226 : 'Reserved (226)',                         
  227 : 'Reserved (227)',                         
  228 : 'Reserved (228)',                         
  229 : 'Reserved (229)',                         
  230 : 'Reserved (230)',                         
  231 : 'Reserved (231)',                         
  232 : 'Reserved (232)',                         
  233 : 'Reserved (233)',                         
  234 : 'Reserved (234)',                         
  235 : 'Reserved (235)',                         
  236 : 'Reserved (236)',                         
  237 : 'Reserved (237)',                         
  238 : 'Reserved (238)',                         
  239 : 'Reserved (239)',                         
  240 : 'Reserved (240)',                         
  241 : 'Reserved (241)',                         
  242 : 'Reserved (242)',                         
  243 : 'Reserved (243)',                         
  244 : 'Reserved (244)',                         
  245 : 'Reserved (245)',                         
  246 : 'Reserved (246)',                         
  247 : 'Reserved (247)',                         
  248 : 'Reserved (248)',                         
  249 : 'Reserved (249)',                         
  250 : 'Reserved (250)',                         
  251 : 'Reserved (251)',                         
  252 : 'Reserved (252)',                         
  253 : 'Reserved (253)',                         
  254 : 'Reserved (254)',                         
  255 : 'Reserved (255)',                         
}
